/*-------------------------------------------------------------------------+
| Copyright 2013 fortiss GmbH                                              |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package test.org.fortiss.tooling.ext.quality.metric;

import static org.fortiss.af3.component.utils.ComponentArchitectureUtils.findFirstComponentArchitecture;
import static org.fortiss.af3.project.utils.TestCaseProjectUtils.loadTestProject;

import org.fortiss.af3.project.model.FileProject;
import org.fortiss.af3.rcp.application.AF3ApplicationActivator;
import org.fortiss.tooling.base.model.element.IHierarchicElement;
import org.fortiss.tooling.ext.quality.service.MetricCommentProvider;
import org.junit.Before;
import org.junit.Test;

/**
 * Tests for the constraints checker of state machines based on
 * "test-data/StateAutomataConstraintsCheckerTestData.af3_23".
 * 
 * @author ratiu
 */
public class MetricTest {

	/** Top component. */
	private IHierarchicElement topComponent;

	
	/** Setup the test. */
	@Before
	public void setup() {
		FileProject project = loadTestProject(AF3ApplicationActivator.PLUGIN_ID,
				// "test-data/ACC.af3_23");
				"test-data/carla_ff1_rover.af3_23");

		// topComponent = (IHierarchicElement) project.getRootElements().get(2);
		topComponent = findFirstComponentArchitecture(project).getTopComponent();
	}

	/** Test constraint checker for actions. */
	@Test
	public void actionsConstraintCheck() {
		MetricCommentProvider mcp = new MetricCommentProvider();
		mcp.startRecursion(topComponent);

	}
}
